Page MenuHomePhabricator

[mips][microMIPS] Implement NOP aliases
ClosedPublic

Authored by jkolek on Nov 27 2014, 9:20 AM.

Details

Summary

This patch implements microMIPS 16-bit (MOVE16 $0, $0) and 32-bit (SLL $0, $0, 0) NOP aliases.

Diff Detail

Event Timeline

jkolek updated this revision to Diff 16699.Nov 27 2014, 9:20 AM
jkolek retitled this revision from to [mips][microMIPS] Implement NOP aliases.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, sstankovic, vmedic.
jkolek added subscribers: Unknown Object (MLST), zoran.jovanovic.
jkolek updated this revision to Diff 16744.Nov 28 2014, 11:02 AM
sstankovic accepted this revision.Nov 28 2014, 1:52 PM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 28 2014, 1:52 PM
jkolek closed this revision.Nov 29 2014, 5:31 AM

Committed revision 222953.